    $ifndef _LS022_
        $define _LS022_
'
' Amicus18 LS022 Colour Graphic LCD 8-bit interfacing library routines
' Written by Les Johnson. September 2013
'
        Declare Warnings = Off
        Declare Reminders = Off
        #Disable Print, Cursor                  ' Remove the compiler's Print and cursor library subroutine

        Declare LCD_Type = Graphic              ' Inform the compiler that we're using a graphic LCD
        Declare LCD_X_Res = 240
        Declare LCD_Y_Res = 320

        Symbol cScreen_Hor_Size_M1 = __LCD_X_Res - 1
        Symbol cScreen_Ver_Size_M1 = __LCD_Y_Res - 1
'
' Define the pins used by the Colour LCD
' Defaults are for use with the Amicus Touch Screen Colour LCD shield
'
'Dim  Lcd_WR    As PORTC.0
'Dim  Lcd_DC    As PORTC.1
'Dim  Lcd_RES   As PORTC.2
'Dim  Lcd_CS    As PORTC.3
'Dim  Lcd_RD    As PORTC.4
'Dim  Lcd_DATA  As PORTD

        $ifndef Glcd_WR
            $define Glcd_WR   PORTC.0                ' Connect to LCD's WR pin
        $endif
        $ifndef Glcd_DC
            $define Glcd_DC   PORTC.1                ' Connect to LCD's RS pin
        $endif
        $ifndef Glcd_Reset
            $define Glcd_Reset PORTC.2              ' Connect to LCD's reset pin (Optional)
        $endif
        $ifndef Glcd_CS
            $define Glcd_CS   PORTC.3                ' Connect to LCD's CS pin
        $endif
        $ifndef Glcd_RD
            $define Glcd_RD   PORTC.4                ' Connect to LCD's RD pin
        $endif
        $ifndef Glcd_Data
            $define Glcd_Data  LATD                 ' Connect to LCD's data bus
        $endif

        $ifndef Glcd_InitDelay
            $define Glcd_InitDelay 30               ' LCD initialise delay (in milliseconds)
        $endif

        $ifndef True
            $define True 1
        $endif
        $ifndef False
            $define False 0
        $endif
'
' Pre-Defined colour codes
'                               RRRRRGGGGGGBBBBB
'        Symbol clBlack         =    %0000000000000000
'        Symbol clBrightBlue    =    %0000000000011111
'        Symbol clBrightGreen   =    %0000011111100000
'        Symbol clBrightCyan   =     %0000011111111111
'        Symbol clBrightRed     =    %1111100000000000
'        Symbol clBrightMagenta  =   %1111100000011111
'        Symbol clBrightYellow  =    %1111111111100000
'        Symbol clBlue         =     %0000000000010000
'        Symbol clGreen        =     %0000010000000000
'        Symbol clCyan         =     %0000010000010000
'        Symbol clRed          =     %1000000000000000
'        Symbol clMagenta      =     %1000000000010000
'        Symbol clBrown         =    %1111110000000000
'        Symbol clLightGray    =     %1000010000010000
'        Symbol clDarkGray      =    %0100001000001000
'        Symbol clLightBlue     =    %1000010000011111
'        Symbol clLightGreen    =    %1000011111110000
'        Symbol clLightCyan     =    %1000011111111111
'        Symbol clLightRed       =   %1111110000010000
'        Symbol clLightMagenta   =   %1111110000011111
'        Symbol clYellow          =  %1111111111110000
'        Symbol clWhite           =  %1111111111111111

'        Symbol clGray0          =   %1110011100011100
'        Symbol clGray1           =  %1100011000011000
'        Symbol clGray2           =  %1010010100010100
'        Symbol clGray3           =  %1000010000010000
'        Symbol clGray4           =  %0110001100001100
'        Symbol clGray5            = %0100001000001000
'        Symbol clGray6            = %0010000100000100
        Symbol Black  = $0000
'Black[0] = $00 : Black[1] = $00 : Black[2] = $00
        Symbol Red    = $F800
        Symbol Green  = $07E0
        Symbol Blue   = $001F
        Symbol White  = $FFFF
'$define White  = $FFFF
        Symbol Purple = $F11F
        Symbol Yellow = $FFE0
        Symbol Cyan   = $07FF
        Symbol Gray   = $8410
' LS022 LCD chipset registers
        Symbol LCD_NOP               =  $00   ' Nop
        Symbol LCD_SWRESET           =  $01   ' software 'Reset
        Symbol LCD_RDDIDIF           =  $04   ' Read Display Identification Information   4-Byte
        Symbol LCD_RDDST             =  $09   ' Read Display STATUS   5-Byte
        Symbol LCD_RD_POWER          =  $0A   ' Read Display Power Mode   1-Byte
        Symbol LCD_RD_MADCTL         =  $0B   ' Read Display MADCTL       1-Byte
        Symbol LCD_RD_PIX_FORMAT     =  $0C   ' Read Display Pixel Format   1-Byte
        Symbol LCD_RDDIM             =  $0D   ' Read Display Image Mode   1-Byte
        Symbol LCD_RDDSM             =  $0E   ' Read Display Signal Mode   1-Byte
        Symbol LCD_RDDSDR            =  $0F   ' Read Display Self Diagnostic Result  1-Byte
        Symbol LCD_SLEEPIN           =  $10   ' Sleep in
        Symbol LCD_SLEEPOUT          =  $11   ' Sleep out
        Symbol LCD_PTL_MODE_ON       =  $12   ' Partial Mode On
        Symbol LCD_NORMAL_ON         =  $13   ' Normal Display Mode On
        Symbol LCD_INVOFF            =  $20   ' inversion OFF
        Symbol LCD_INVON             =  $21   ' inversion On
        Symbol LCD_GAMMA_SET         =  $26   ' Gamma Set   1-Byte
        Symbol LCD_DISPOFF           =  $28   ' display OFF
        Symbol LCD_DISPON            =  $29   ' display On
        Symbol LCD_CASET             =  $2A   ' column address Set          4-Byte
        Symbol LCD_PASET             =  $2B   ' Page address Set            4-Byte
        Symbol LCD_RAMWR             =  $2C   ' memory write
        Symbol LCD_RGBSET            =  $2D   ' colour Set                  192-Byte
        Symbol LCD_RD_MEMORY         =  $2E   ' Memory Read
        Symbol LCD_PTLAR             =  $30   ' partial area   4-Byte
        Symbol LCD_VSCRDEF           =  $33   ' vertical scrolling definition   6-Byte
        Symbol LCD_TELOFF            =  $34   ' Tearing Effect Line Off
        Symbol LCD_TELON             =  $35   ' Tearing Effect Line On   1-Byte
        Symbol LCD_MEM_CTL           =  $36   ' Memory Access Control   1-Byte
        Symbol LCD_VRT_SCR_START     =  $37   ' Vertical scrolling start Address   2-Byte
        Symbol LCD_IDMOFF            =  $38   ' idle mode OFF
        Symbol LCD_IDMON             =  $39   ' idle mode On
        Symbol LCD_COLMOD            =  $3A   ' interface Pixel format      1-Byte
        Symbol LCD_RDID1             =  $DA   ' read ID1
        Symbol LCD_RDID2             =  $DB   ' read ID2
        Symbol LCD_RDID3             =  $DC   ' read ID3

' Variables
        Dim  s1   As Word
        Dim  s2   As Word
        Dim  x    As Word
        Dim  y    As Word
        Dim  x1   As Word
        Dim  x2   As Word
        Dim  y1   As Word
        Dim  y2   As Word
        Dim  xf   As Word '      
        Dim  xf1  As Word '      
        Dim  yf   As Word '      
        Dim  yf1  As Word '      
        Dim  PosFx As Word
        Dim  PosFx1 As Word
        Dim  PosFy  As Word
        Dim  PosFy1 As Word
        Dim  total   As Word
        Dim  XP   As Word '   
'        Dim  xp1  As Word '   
        Dim  YP   As Word '   
'        Dim  yp1  As Word '   
        Dim  xt   As Word '   
        Dim  xt1  As Word '   
        Dim  yt   As Word '   
        Dim  yt1  As Word '   
        Dim  q1   As Word
        Dim  q2   As Word
        Dim i As Dword
'        Dim x           As Word
'        Dim y           As Word
        Dim Addx        As Word
        Dim Addy        As Word
        Dim DX          As Word
        Dim DY          As Word
        Dim L_P         As Word
        Dim L_I         As Word
'            Dim Color    As Word
        Dim R        As Byte
        Dim G        As Byte
        Dim B        As Byte
        Dim A           As Word
        Dim BB           As Word
        Dim C_P         As Word
        Dim Radius      As Byte
        Dim Fille       As Byte
        Dim  CircleX    As Word   '   
        Dim  CircleY    As Word   '   
        Dim  PosPX      As Word   '     
        Dim  PosPY      As Word   '     Y
        Dim  LCD_Com    As Byte
        Dim  LCD_Date   As Byte
        Dim  BColor[3]  As Byte           ' Background Color
        Dim  FColor[3]  As Byte           ' Font Color
        Dim  Color[3]   As Byte           ' Font Color
        Dim  PX1     As Word
        Dim  PX2     As Word
        Dim  PY1     As Word
        Dim  PY2     As Word
        Dim LCD_Xst  As Word   '    X
        Dim LCD_Xend As Word   '    X
        Dim LCD_Yst  As Word   '    Y
        Dim LCD_Yend As Word   '    Y

'        Dim Black[3] As Byte
'        Black[0] = $00 : Black[1] = $00 : Black[2] = $00
'------------------------------------------------------------------------------------------
        GoTo _LS022_Main_                     ' Jump over the subroutines
'------------------------------------------------------------------------------------------

        (*********************************************************************
        * Overview  : Helper routine that writes To the LCD's index register *
        * Input     : WREG - index register                                  *
        * Output    : None                                                   *
        * Notes     : None                                                   *
        **********************************************************************)
        $define GlcdWriteCmd(SendCmd) WREG = SendCmd : _hSetIndex

        _hSetIndex Macro-
            GoSub __WriteCmd
        Endm

        __WriteCmd:
        Low Glcd_DC
        Glcd_Data = WREG
        Low Glcd_WR
        High Glcd_WR
        Return

        (*********************************************************************
        * Overview  : Helper routine that writes 16-Bit Data To the LCD      *
        * Input     : Glcd_bParamH,Glcd_bParamL - data bytes                 *
        * Output    : None                                                   *
        * Notes     : Accepts data As two seperate bytes                     *
        **********************************************************************)
        $define GlcdWriteData(SendData) '
        WREG = SendData '
        _hWriteData

        _hWriteData Macro-
            GoSub __WriteData
        Endm

        __WriteData:
        High Glcd_DC
        Glcd_Data = WREG
        Low Glcd_WR
        High Glcd_WR
        Return

        (***********************************************************************
        * Overview  :                                         *
        * Input     : None                                                     *
        * Output    : None                                                     *
        * Notes     : None                                                     *
        ************************************************************************)
        $define Glcd_Init() _ResetDevice

        _ResetDevice Macro-
            GoSub __InitDevice
        Endm

        __InitDevice:

        High Glcd_RD                ' Set RD pin as output high
        High Glcd_CS                ' Disable the LCD
        High Glcd_WR                ' Set WR pin as output high
        Low Glcd_Reset              ' Yes. So Hold the LCD in reset
        DelayMS 100
        High Glcd_Reset
        Low Glcd_CS
        DelayMS 100
        GlcdWriteCmd ($11) '
        DelayMS 100
        GlcdWriteCmd ($29) '
        GlcdWriteCmd (0x13) '
        GlcdWriteCmd (0x20) '
        DelayMS 100;
        GlcdWriteCmd ($36) '
        GlcdWriteData($A0) '
        GlcdWriteCmd ($3A) '
        Return
''==============================================================================
'$define GLcd_Add(_X1, _Y1, _X2, _Y2) Pos_X1 = _x1 : Pos_Y1 = _y1 : Pos_X2 = _x2 : Pos_Y2 = _y2 : _Glcd_Address'

'_Glcd_Address Macro-
'    GoSub _Lcd_Add
'Endm

'_Lcd_Add:
'   WR_C($2B)
'   WR_D(Pos_X1.HighByte)
'   WR_D(Pos_X1.LowByte)
'   WR_D(Pos_X2.HighByte)
'   WR_D(Pos_X2.LowByte)

'   WR_C($2A)
'   WR_D(Pos_Y1.HighByte)
'   WR_D(Pos_Y1.LowByte)
'   WR_D(Pos_Y2.HighByte)
'   WR_D(Pos_Y2.LowByte)

'   Clrf Pos_X1 : Clrf Pos_Y1 : Clrf Pos_X2 : Clrf Pos_Y2
''   Clrf _X1 : Clrf _Y1 : Clrf _X2 : Clrf _Y2   
'   Return
'#endIfMacro-



'==============================================================================
' Clear the LCD's screen with the current colour
' Input     : ILI_wProd = screen colour
' Output    : None
' Notes     : None
'==============================================================================
        $define Glcd_Cls() _Glcd_Cls '

        _Glcd_Cls Macro-
            GoSub __Glcd_Cls
        Endm

        #ifMacro- _Glcd_Cls
        __Glcd_Cls:
'        GLcd_Color(Color)
        GlcdWriteCmd ($2B)
        GlcdWriteData (0) : GlcdWriteData (0)
        GlcdWriteData (0) : GlcdWriteData (240)
        GlcdWriteCmd ($2A)
        GlcdWriteData (0) : GlcdWriteData (0)
        GlcdWriteData (1) : GlcdWriteData (65)
        GlcdWriteCmd ($2C)
        For i = 0 To 76800 Step 1
            GlcdWriteData  ($FF)
            GlcdWriteData  ($FF)
            GlcdWriteData  ($FF)
        Next
        Return
        #endIfMacro-
'=======================================================================
'     
'************************************************************************)
''        $define GLcd_Color(_Col) Color = _col : _Glcd_Col
        
''        _Glcd_Col Macro-
''            GoSub _Lcd_Color
''        Endm

''        _Lcd_Color:
''           R = ((Color & 6348 >> 11) <> 5) << 2
'''           R = ((Color & 6348) >> 11) << 3 
''           G = ((Color & $07e0) >> 5) << 2     '// 5 bits blue
''           B = (Color & $1F) << 2  '$001F            ;     // 5 bits blue
''        Return

'==============================================================================
'        Dim  xf   As Word '      
'        Dim  xf1  As Word '      
'        Dim  yf   As Word '      
'        Dim  yf1  As Word '      
'        Dim  PosFx As Word
'        Dim  PosFx1 As Word
'        Dim  PosFy  As Word
'        Dim  PosFy1 As Word
'==============================================================================
        $define Glcd_Fill(xf,yf,xf1,yf1) PosFx = xf:PosFy = yf:PosFx1 = xf1:PosFy1 = yf1 : _Glcd_Fill'

        _Glcd_Fill Macro-
            GoSub Lcd_Fill
        Endm
        Lcd_Fill:
'        GLcd_Color(Color)
        total = (PosFx1-PosFx+1)*(PosFy1-PosFy+1)

        If PosFx <256 Then s1=PosFx : s2 = 0
        If PosFx >255 Then s1 = PosFx - 256 : s2 = 1
        If PosFx1 < 256 Then q1 = PosFx1 : q2 = 0
        If PosFx1 > 255 Then q1 = PosFx1 - 256 :q2 = 1

        GlcdWriteCmd ($2A)
        GlcdWriteData (s2) :GlcdWriteData (s1)
        GlcdWriteData (q2) :GlcdWriteData (q1)
        GlcdWriteCmd ($2B)
        GlcdWriteData (0) : GlcdWriteData (PosFy)
        GlcdWriteData (0) : GlcdWriteData (PosFy1)
        GlcdWriteCmd ($2C)

        For i = 0 To total Step 1
            GlcdWriteData  ($FF)
            GlcdWriteData  ($00)
            GlcdWriteData  ($00)
        Next

        Return



'==============================================================================
'     .
'
'==============================================================================
        $define Glcd_Pixel (XP,YP) x = XP : y = YP : lcd_pixel''

        lcd_pixel Macro-
            GoSub __LCD_Pixel
        Endm
'        #ifMacro- lcd_pixel
        __LCD_Pixel:

'        If x < 256 Then s1 = x : s2 = 0
'        If x > 255 Then s1 = x - 256 : s2 = 1
        GlcdWriteCmd ($2A)
        GlcdWriteData (0) :GlcdWriteData (x)
        GlcdWriteData (0) :GlcdWriteData (x)
        GlcdWriteCmd ($2B)
        GlcdWriteData (0) : GlcdWriteData (y)
        GlcdWriteData (0) : GlcdWriteData (y)
        GlcdWriteCmd ($2C)
        
'        GLcd_Color(Color)
        
        GlcdWriteData  (R)
        GlcdWriteData  (G)
        GlcdWriteData  (B)
        Return
'        #endIfMacro-
'---------    X1, Y1, X2, Y2 --------------------------------

        $define Glcd_Line (PX1,PY1,PX2,PY2) LCD_Xst  = PX1:LCD_Yst  = PY1:LCD_Xend = PX2:LCD_Yend = PY2 :_lcd_Line'

        _lcd_Line Macro-
            GoSub __Lcd_Line
        Endm

        __Lcd_Line:
'        GLcd_Color(Color)
        PX1 =  LCD_Xst
        PX2 =  LCD_Xend
        PY1 =  LCD_Yst
        PY2 =  LCD_Yend
        DX = Abs(LCD_Xend - LCD_Xst)
        DY = Abs(PY2 - LCD_Yst)
        x = LCD_Xst
        y = PY1

        If LCD_Xst > LCD_Xend Then
            Addx = -1
        Else
            Addx = 1
        End If

        If LCD_Yst > PY2 Then
            Addy = -1
        Else
            Addy = 1
        End If

        If DX >= DY Then
            L_P = (2 * DY) - DX
            For L_I = 1 To (DX + 1)
                LCD_Xst = x : LCD_Yst = y ': STR Color =
                PX1 = LCD_Xst : PY1 = LCD_Yst
                Glcd_Pixel(PX1,PY2)
'                GoSub __LCD_Pixel
                If L_P < 0 Then
                    L_P = L_P + (2 * DY)
                    x = (x + Addx)
                Else
                    L_P = L_P + (2 * DY) - (2 * DX)
                    x = x + Addx
                    y = y + Addy
                EndIf
            Next L_I
        Else
            L_P = (2 * DX) - DY
            For L_I = 1 To (DY + 1)
                LCD_Xst = x : LCD_Yst = y ': STR Color =
                PX1 = LCD_Xst : PY1 = LCD_Yst
                Glcd_Pixel(PX1,PY1)
'                GoSub __LCD_Pixel
                If L_P < 0 Then
                    L_P = L_P + (2 * DX)
                    y = y + Addy
                Else
                    L_P = L_P + (2 * DX) - (2 * DY)
                    x = x + Addx
                    y = y + Addy
                EndIf
            Next L_I
        EndIf
        Return
'====================================================================
'$define GLcd_Circle(_X1, _Y1, _Rad, _Fil, _Col) PX1 = _x1 : PY1 = _y1 : Radius = _rad : Fille = _fil : Color = _col : _Glcd_Circle'
        $define Glcd_Circle (PX1,PY1,Radius,_Fil) CircleX  = PX1 : CircleY = PY1 :B = Radius :Fille = _Fil : _lcd_Circle'

        _lcd_Circle Macro-
            GoSub Lcd_Circle
        Endm
'sub procedure TFT_Circle(dim X, Y as word, dim Radius, Fill as byte, dim Color as word)
        Lcd_Circle:
'        GLcd_Color(Color)
        A = 0
        BB = Radius

        CircleX = PX1
        CircleY = PY1

        C_P = 1 - Radius
        While A <= BB
            If Fille = 1 Then
'                PX1 = CircleX - A : PY1 = CircleY + B : PX2 = CircleX + A : PY2 = CircleY + B ': GoSub __Lcd_Line ' TFT_line(X - A_, Y + B_, X + A_, Y + B_, Color)
                Glcd_Line (CircleX - A,CircleY + BB,CircleX + A,CircleY + BB)
'                PX1 = CircleX - A : PY1 = CircleY - B : PX2 = CircleX + A : PY2 = CircleY - B ': GoSub __Lcd_Line ' TFT_line(X - A_, Y - B_, X + A_, Y - B_, Color)
                Glcd_Line (CircleX - A,CircleY - BB,CircleX + A,CircleY - BB)
'                PX1 = CircleX - B : PY1 = CircleY + A : PX2 = CircleX + B : PY2 = CircleY + A ': GoSub __Lcd_Line ' TFT_line(X - B_, Y + A_, X + B_, Y + A_, Color)
                Glcd_Line (CircleX - BB,CircleY + A ,CircleX + BB,CircleY + A)
'                PX1 = CircleX - BB : PY1 = CircleY - A : PX2 = CircleX + BB : PY2 = CircleY - A ': GoSub __Lcd_Line ' TFT_line(X - B_, Y - A_, X + B_, Y - A_, Color)
                Glcd_Line (CircleX - BB,CircleY - A,CircleX + BB,CircleY - A)
            Else
'                PX1 = A + x : PY1 = BB + y ': GoSub __LCD_Pixel          ' TFT_Dot(A_ + X, B_ + Y, Color)
                Glcd_Pixel(A + x,BB + y)
'                PX1 = BB + x : PY1 = A + y ': GoSub __LCD_Pixel         ' TFT_Dot(B_ + X, A_ + Y, Color)
                Glcd_Pixel(BB + x,A + y)
'                PX1 = x - A : PY1 = BB + y ': GoSub __LCD_Pixel          ' TFT_Dot(X - A_, B_ + Y, Color)
                Glcd_Pixel(x - A,BB + y)
'                PX1 = x - BB : PY1 = A + y ': GoSub __LCD_Pixel          ' TFT_Dot(X - B_, A_ + Y, Color)
                Glcd_Pixel(x - BB,A + y)
'                PX1 = BB + x : PY1 = y - A ': GoSub __LCD_Pixel          ' TFT_Dot(B_ + X, Y - A_, Color)
                Glcd_Pixel(BB + x,y - A)
'                PX1 = A + x : PY1 = y - BB ': GoSub __LCD_Pixel          ' TFT_Dot(A_ + X, Y - B_, Color)
                Glcd_Pixel(A + x,y - BB)
'                PX1 = x - A : PY1 = y - BB ': GoSub __LCD_Pixel          ' TFT_Dot(X - A_, Y - B_, Color)
                Glcd_Pixel(x - A,y - BB)
'                PX1 = x - BB : PY1 = y - A ': GoSub __LCD_Pixel          ' TFT_Dot(X - B_, Y - A_, Color)
                Glcd_Pixel(x - BB,y - A)
            EndIf

            If C_P < 0 Then
                C_P = (C_P + 3) + (2 * A)
                Inc A
            Else
                C_P = (C_P + 5) + (2 * (A - BB))
                Inc A
                Dec BB
            EndIf
        Wend
        'end sub
        Return


'============================================================================
'Fonts[0] = 0x7E : Fonts[1] = 0x11 : Fonts[2] = 0x11 : Fonts[3] = 0x11 : Fonts[4] = 0x7E ' A 65
''Fonts[4] = $7E : Fonts[3] = $11 : Fonts[2] = $11 : Fonts[1] = $11 : Fonts[0] = $7E ' A 65

' GLcd_Add(PX1, PY1, PX1 + 7, PY1 + 5)
' WR_C($2C)

' For F_H = 0 To 4
' F_CH = Fonts[F_H] 'font[c][0+h]
' Mask = $80
' For F_P = 0 To 7
' If (F_CH & Mask )  0 Then
' GLcd_Color(FColor)
' WR_D(R) 
' WR_D(G)
' WR_D(B)
'' GLcd_Dot(px1, fcolor)
'' WriteByte(color_r,DATA);WriteByte(color_g,DATA);WriteByte(color_b,DATA);
' Else
' GLcd_Color(BColor)
' WR_D(R) 
' WR_D(G)
' WR_D(B)

'' GLcd_Dot(bColor)
'' WriteByte(bgcolor_r,DATA);WriteByte(bgcolor_g,DATA);WriteByte(bgcolor_b,DATA);
' EndIf
' 
' Mask = Mask / 2
' Next F_P
' Next F_H



'$define GLcd_Add(pX1, pY1, pX2, pY2) Pos_X1 = px1 : Pos_Y1 = py1 : Pos_X2 = px2 : Pos_Y2 = py2 : _Glcd_Address'

'_Glcd_Address Macro-
' GoSub _Lcd_Add
'Endm

'_Lcd_Add:
' WR_C($2B)
' WR_D(Pos_X1.HighByte)
' WR_D(Pos_X1.LowByte)
' WR_D(Pos_X2.HighByte)
' WR_D(Pos_X2.LowByte)

' WR_C($2A)
' WR_D(Pos_Y1.HighByte)
' WR_D(Pos_Y1.LowByte)
' WR_D(Pos_Y2.HighByte)
' WR_D(Pos_Y2.LowByte)
' 
' Return
'#endIfMacro-
'--------------------------------------------------------------------
'        $define NONE
'        _Set_None Macro-
'            GoSub Set_None
'        Endm
'        Set_None:
'        GlcdWriteData ($00) ': GoSub
'        GlcdWriteData ($40) ': GoSub GlcdWriteData
'        GlcdWriteData ($00) ': GoSub GlcdWriteData
'        Return

'        $define White      ' RGB($FF, $FF, $FF)\
'        _Set_WHITE Macro-
'            GoSub Set_WHITE
'        Endm
'        Set_WHITE:
'        GlcdWriteData ($FF) ': GoSub GlcdWriteData
'        GlcdWriteData ($FF) ': GoSub GlcdWriteData
'        GlcdWriteData ($FF) ': GoSub GlcdWriteData
'        Return

'        $define Black      ' RGB($00, $00, $00)
'        _Set_BLACK Macro-
'            GoSub Set_BLACK
'        Endm
'        Set_BLACK:
'        GlcdWriteData ($00) ': GoSub GlcdWriteData
'        GlcdWriteData ($00) ': GoSub GlcdWriteData
'        GlcdWriteData ($00) ': GoSub GlcdWriteData
'        Return

'        $define Red         RGB($FF, $00, $00)
'        _Set_RED Macro-
'            GoSub Set_RED
'        Endm
'        Set_RED:
'        GlcdWriteData ($FF) ': GoSub GlcdWriteData
'        GlcdWriteData ($00) ': GoSub GlcdWriteData
'        GlcdWriteData ($00) ': GoSub GlcdWriteData
'        Return
'$define GREEN       RGB($00, $FF, $00)
'GREEN:
'   GlcdWriteData ($00) ': GoSub GlcdWriteData
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'   GlcdWriteData ($00) ': GoSub GlcdWriteData
'Return
''$define BLUE   =     RGB($01, $00, $FF)
'BLUE:
'   GlcdWriteData ($01) ': GoSub GlcdWriteData
'   GlcdWriteData ($00) ': GoSub GlcdWriteData
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'Return
''$define YELLOW   =     RGB($FF, $FF, $00)
'YELLOW:
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'   GlcdWriteData ($00) ': GoSub GlcdWriteData
'Return
''$define MAGENTA  =     RGB($FF, $00, $FF)
'MAGENTA:
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'   GlcdWriteData ($00) ': GoSub GlcdWriteData
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'Return
''$define CYAN   =     RGB($00, $FF, $FF)
'CYAN:
'   GlcdWriteData ($00) ': GoSub GlcdWriteData
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'Return
''$define GRAY    =      RGB($80, $80, $40)
'GRAY:
'   GlcdWriteData ($00) ': GoSub GlcdWriteData
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'   GlcdWriteData ($FF) ': GoSub GlcdWriteData
'Return
''$define SILVER  =      RGB($A0, $A0, $80)
'SILVER:
'   GlcdWriteData ($A0) ': GoSub GlcdWriteData
'   GlcdWriteData ($A0) ': GoSub GlcdWriteData
'   GlcdWriteData ($80) ': GoSub GlcdWriteData
'Return
''$define GOLD    =      RGB($A0, $A0, $40)
'GOLD:
'   GlcdWriteData ($A0) ': GoSub GlcdWriteData
'   GlcdWriteData ($A0) ': GoSub GlcdWriteData
'   GlcdWriteData ($40) ': GoSub GlcdWriteData
'Return
''$define ORANGE  =      RGB($FF, $6D, $00)
'ORANGE:
'   GlcdWriteData ($FF)' : GoSub GlcdWriteData
'   GlcdWriteData ($6D) ': GoSub GlcdWriteData
'   GlcdWriteData ($00) ': GoSub GlcdWriteData
'Return
''$define VIOLET =       RGB($85, $00, $DF)
'VIOLET:
'   GlcdWriteData ($85) ': GoSub GlcdWriteData
'   GlcdWriteData ($00) ': GoSub GlcdWriteData
'   GlcdWriteData ($DF) ': GoSub GlcdWriteData
'Return





'-------------------------------------------------------------------------------------------------
        _LS022_Main_:
        DelayMS Glcd_InitDelay
        Glcd_Init()

    $endif
